Manuel PHP
Précédent |  | Suivant

# yaz_wait

(PHP 4 >= 4.0.1, PECL)

yaz_wait -- Attend l'exécution d'une requête

## Description

mixed yaz_wait ( [array &options] )

Cette fonction exécute une activité réseau (bloquée) pour les demandes en attente qui ont été préparées par les fonctions yaz_connect() yaz_search(), yaz_present(), yaz_scan() et yaz_itemorder()

yaz_wait() se termine lorsque tous les hôtes ont terminé leurs requêtes (éventuellement en cas d'erreur).

## Liste de paramètres

options

  Un tableau associatif des options :

  timeout

    Spécifie un délai d'attente en secondes. Si un serveur n'a pas répondu dans les délais, il est considéré comme mort et yaz_wait() se termine. La valeur par défaut pour le délai est de 15 secondes.

  event

    Un booléen.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

Précédent | Sommaire | Suivant
yaz_syntax | Niveau supérieur | NIS